''' Data class for backgrounds '''
from typing import Dict, List
from dataclasses import dataclass, field


@dataclass
class Backgrounds:
    """ Class for keeping track of backgrounds"""
    backgrounds: Dict[str, str]
    background_ids: List[str] = field(init=False)

    def __post_init__(self):
        ''' Define background ids as a list '''
        self.background_ids = sorted(self.backgrounds.keys())
